Index: src/io/sink_sndfile.c
===================================================================
--- src/io/sink_sndfile.c	(revision c038740f22f0ea8a6dfea5e4e7baafb1ed14329b)
+++ src/io/sink_sndfile.c	(revision 2e17371f6553838cf7b19bb23b92493644151916)
@@ -50,5 +50,5 @@
 
   if (path == NULL) {
-    AUBIO_ERR("Aborted opening null path\n");
+    AUBIO_ERR("sink_sndfile: Aborted opening null path\n");
     return NULL;
   }
@@ -70,5 +70,5 @@
   if (s->handle == NULL) {
     /* show libsndfile err msg */
-    AUBIO_ERR("Failed opening %s. %s\n", s->path, sf_strerror (NULL));
+    AUBIO_ERR("sink_sndfile: Failed opening %s. %s\n", s->path, sf_strerror (NULL));
     AUBIO_FREE(s);
     return NULL;
@@ -78,5 +78,5 @@
   /* allocate data for de/interleaving reallocated when needed. */
   if (s->scratch_size >= MAX_SIZE * MAX_CHANNELS) {
-    AUBIO_ERR("%d x %d exceeds maximum aubio_sink_sndfile buffer size %d\n",
+    AUBIO_ERR("sink_sndfile: %d x %d exceeds maximum aubio_sink_sndfile buffer size %d\n",
         s->max_size, s->channels, MAX_CHANNELS * MAX_CHANNELS);
     AUBIO_FREE(s);
@@ -110,5 +110,5 @@
   written_frames = sf_write_float (s->handle, s->scratch_data, nsamples);
   if (written_frames/channels != write) {
-    AUBIO_WRN("trying to write %d frames to %s, but only %d could be written",
+    AUBIO_WRN("sink_sndfile: trying to write %d frames to %s, but only %d could be written",
       write, s->path, (uint_t)written_frames);
   }
@@ -121,5 +121,5 @@
   }
   if (sf_close(s->handle)) {
-    AUBIO_ERR("Error closing file %s: %s", s->path, sf_strerror (NULL));
+    AUBIO_ERR("sink_sndfile: Error closing file %s: %s", s->path, sf_strerror (NULL));
     return AUBIO_FAIL;
   }
Index: src/io/source_avcodec.c
===================================================================
--- src/io/source_avcodec.c	(revision c038740f22f0ea8a6dfea5e4e7baafb1ed14329b)
+++ src/io/source_avcodec.c	(revision 2e17371f6553838cf7b19bb23b92493644151916)
@@ -68,13 +68,13 @@
   int err;
   if (path == NULL) {
-    AUBIO_ERR("Aborted opening null path\n");
+    AUBIO_ERR("source_avcodec: Aborted opening null path\n");
     goto beach;
   }
   if ((sint_t)samplerate < 0) {
-    AUBIO_ERR("Can not open %s with samplerate %d\n", path, samplerate);
+    AUBIO_ERR("source_avcodec: Can not open %s with samplerate %d\n", path, samplerate);
     goto beach;
   }
   if ((sint_t)hop_size <= 0) {
-    AUBIO_ERR("Can not open %s with hop_size %d\n", path, hop_size);
+    AUBIO_ERR("source_avcodec: Can not open %s with hop_size %d\n", path, hop_size);
     goto beach;
   }
@@ -96,5 +96,5 @@
     char errorstr[256];
     av_strerror (err, errorstr, sizeof(errorstr));
-    AUBIO_ERR("Failed opening %s (%s)\n", s->path, errorstr);
+    AUBIO_ERR("source_avcodec: Failed opening %s (%s)\n", s->path, errorstr);
     goto beach;
   }
@@ -107,5 +107,5 @@
     char errorstr[256];
     av_strerror (err, errorstr, sizeof(errorstr));
-    AUBIO_ERR("Could not find stream information " "for %s (%s)\n", s->path,
+    AUBIO_ERR("source_avcodec: Could not find stream information " "for %s (%s)\n", s->path,
         errorstr);
     goto beach;
@@ -123,5 +123,5 @@
         selected_stream = i;
       } else {
-        AUBIO_WRN("More than one audio stream in %s, "
+        AUBIO_WRN("source_avcodec: More than one audio stream in %s, "
             "taking the first one\n", s->path);
       }
@@ -129,5 +129,5 @@
   }
   if (selected_stream == -1) {
-    AUBIO_ERR("No audio stream in %s\n", s->path);
+    AUBIO_ERR("source_avcodec: No audio stream in %s\n", s->path);
     goto beach;
   }
@@ -139,5 +139,5 @@
   AVCodec *codec = avcodec_find_decoder(avCodecCtx->codec_id);
   if (codec == NULL) {
-    AUBIO_ERR("Could not find decoder for %s", s->path);
+    AUBIO_ERR("source_avcodec: Could not find decoder for %s", s->path);
     goto beach;
   }
@@ -146,5 +146,5 @@
     char errorstr[256];
     av_strerror (err, errorstr, sizeof(errorstr));
-    AUBIO_ERR("Could not load codec for %s (%s)\n", s->path, errorstr);
+    AUBIO_ERR("source_avcodec: Could not load codec for %s (%s)\n", s->path, errorstr);
     goto beach;
   }
@@ -163,5 +163,5 @@
 
   if (s->samplerate >  s->input_samplerate) {
-    AUBIO_WRN("upsampling %s from %d to %d\n", s->path,
+    AUBIO_WRN("source_avcodec: upsampling %s from %d to %d\n", s->path,
         s->input_samplerate, s->samplerate);
   }
@@ -170,5 +170,5 @@
   avFrame = avcodec_alloc_frame();
   if (!avFrame) {
-    AUBIO_ERR("Could not allocate frame for (%s)\n", s->path);
+    AUBIO_ERR("source_avcodec: Could not allocate frame for (%s)\n", s->path);
   }
 
@@ -223,5 +223,5 @@
       char errorstr[256];
       av_strerror (err, errorstr, sizeof(errorstr));
-      AUBIO_ERR("Could not open AVAudioResampleContext for %s (%s)\n",
+      AUBIO_ERR("source_avcodec: Could not open AVAudioResampleContext for %s (%s)\n",
           s->path, errorstr);
       //goto beach;
Index: src/io/source_sndfile.c
===================================================================
--- src/io/source_sndfile.c	(revision c038740f22f0ea8a6dfea5e4e7baafb1ed14329b)
+++ src/io/source_sndfile.c	(revision 2e17371f6553838cf7b19bb23b92493644151916)
@@ -67,13 +67,13 @@
 
   if (path == NULL) {
-    AUBIO_ERR("Aborted opening null path\n");
+    AUBIO_ERR("source_sndfile: Aborted opening null path\n");
     goto beach;
   }
   if ((sint_t)samplerate < 0) {
-    AUBIO_ERR("Can not open %s with samplerate %d\n", path, samplerate);
+    AUBIO_ERR("source_sndfile: Can not open %s with samplerate %d\n", path, samplerate);
     goto beach;
   }
   if ((sint_t)hop_size <= 0) {
-    AUBIO_ERR("Can not open %s with hop_size %d\n", path, hop_size);
+    AUBIO_ERR("source_sndfile: Can not open %s with hop_size %d\n", path, hop_size);
     goto beach;
   }
@@ -89,5 +89,5 @@
   if (s->handle == NULL) {
     /* show libsndfile err msg */
-    AUBIO_ERR("Failed opening %s: %s\n", s->path, sf_strerror (NULL));
+    AUBIO_ERR("source_sndfile: Failed opening %s: %s\n", s->path, sf_strerror (NULL));
     goto beach;
   }	
@@ -108,5 +108,5 @@
 
   if (s->input_hop_size * s->input_channels > MAX_SAMPLES) {
-    AUBIO_ERR("Not able to process more than %d frames of %d channels\n",
+    AUBIO_ERR("source_sndfile: Not able to process more than %d frames of %d channels\n",
         MAX_SAMPLES / s->input_channels, s->input_channels);
     goto beach;
@@ -122,9 +122,9 @@
       // we would need to add a ring buffer for these
       if ( (uint_t)(s->input_hop_size * s->ratio + .5)  != s->hop_size ) {
-        AUBIO_ERR("can not upsample %s from %d to %d\n", s->path,
+        AUBIO_ERR("source_sndfile: can not upsample %s from %d to %d\n", s->path,
             s->input_samplerate, s->samplerate);
         goto beach;
       }
-      AUBIO_WRN("upsampling %s from %d to %d\n", s->path,
+      AUBIO_WRN("source_sndfile: upsampling %s from %d to %d\n", s->path,
           s->input_samplerate, s->samplerate);
     }
@@ -132,5 +132,5 @@
 #else
   if (s->ratio != 1) {
-    AUBIO_ERR("aubio was compiled without aubio_resampler\n");
+    AUBIO_ERR("source_sndfile: aubio was compiled without aubio_resampler\n");
     goto beach;
   }
@@ -273,5 +273,5 @@
   }
   if(sf_close(s->handle)) {
-    AUBIO_ERR("Error closing file %s: %s", s->path, sf_strerror (NULL));
+    AUBIO_ERR("source_sndfile: Error closing file %s: %s", s->path, sf_strerror (NULL));
     return AUBIO_FAIL;
   }
